// 创建父级数据数组
const generateData = () => {
    const data = [];
    for (let i = 1; i <= 9; i++) {
        const parent = {
            typeName: `Type-${i}`,        
            id: `id-${i}`,                  
            parentId: 0,                 
            typeIcon: `icon-${i}`,           
            children: []                  
        };
        
        for (let j = 1; j <= 10; j++) {
            parent.children.push({
                typeName: `Child-Type-${i}-${j}`,
                id: `id-${i}-${j}`,
                parentId: `id-${i}`, 
                typeIcon: `icon-${i}-${j}`,
                children: [] 
            });
        }

        data.push(parent);
    }

    return data;
};
const result = generateData();

export default result